unit ModeBeer;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Spin, ExtCtrls, sysutils,
  graphker, jmmUtil, s250beer, ComCtrls;

type
  TModeBeerDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    ModeAcqRG: TRadioGroup;
    GrandeurGB: TGroupBox;
    Label4: TLabel;
    EditNom: TEdit;
    Label5: TLabel;
    EditUnite: TEdit;
    Label2: TLabel;
    EditSignif: TEdit;
    LabelMax: TLabel;
    EditMax: TEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure ModeAcqRGClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  ModeBeerDlg: TModeBeerDlg;

implementation

{$R *.DFM}

procedure TModeBeerDlg.OKBtnClick(Sender: TObject);
begin with BeerForm do begin
        ModeAcq := TmodeAcquisition(ModeAcqRG.itemIndex);
        with graphe.mondeX do begin
           try
           Maxi := strToFloat(EditMax.text);
           Maxi := abs(Maxi);
           except
              Maxi := 0.1;
           end;
           Mini := 0;
           Nom := EditNom.text;
           Unite := EditUnite.text;
           Signif := EditSignif.text;
        end;
end end;

procedure TModeBeerDlg.ModeAcqRGClick(Sender: TObject);
begin
    grandeurGB.visible := modeAcqRG.ItemIndex in [1,2];
end;

procedure TModeBeerDlg.FormActivate(Sender: TObject);
begin with BeerForm do begin
     if modeAcq=maIncrement then
     with graphe.mondeX do begin
          EditNom.text := 'c';
          EditUnite.text := 'mol/L';
          EditSignif.text := 'concentration';
          EditMax.text := '0.1';
     end
     else with graphe.mondeX do begin
          EditNom.text := nom;
          EditUnite.text := Unite;
          EditSignif.text := Signif;
          EditMax.text := FloatToStr(Maxi);
     end;
     grandeurGB.visible := modeAcq<>maIncrement;
     ModeAcqRG.itemIndex := ord(modeAcq);
end end;

end.
