unit S250about;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, sysUtils, shellapi, Dialogs,
  jmmUtil;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    Label1: TLabel;
    Label2: TLabel;
    DateLabel: TLabel;
    BitBtn1: TBitBtn;
    Label3: TLabel;
    DebugLabel: TLabel;
    DebugDirLabel: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const
   FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourS250.html';
begin
   if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
      ShowMessage('Impossible d''accder  ' + Filename);
end;

procedure TAboutBox.FormActivate(Sender: TObject);
begin
{$IFDEF DEBUG}
   debugLabel.Visible := true;
   debugDirLabel.Visible := true;
   DebugDirLabel.caption := appDataDir;
{$ELSE}
   debugLabel.Visible := false;
   debugDirLabel.Visible := false;
{$ENDIF}
end;

end.

